# Class LocalFileCssHandler

java.lang.Object
net.sf.statcvs.output.LocalFileCssHandler

All Implemented Interfaces:
  `CssHandler`

public class LocalFileCssHandler extends Object implements CssHandler
CSS handler for a local CSS file which will be copied to the output dir.

Author:
  Richard Cyganiak

## Constructor Summary

Constructors
Constructor
Description
`LocalFileCssHandler(String filename)`
Creates a new LocalFileCssHandler for a given CSS file.

## Method Summary

Modifier and Type
Method
Description
`void`
`checkForMissingResources()`
Checks if the local CSS file exists
`void`
`createOutputFiles()`
Copies the local CSS file to the output directory
`String`
`getLink()`
returns a link to the CSS file, which can be used as the HREF in HTML's <LINK REL="stylesheet"invalid input: '&gt' HREF="filename.css";.
`String`
`toString()`
toString

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocalFileCssHandler

public LocalFileCssHandler(String filename)
Creates a new LocalFileCssHandler for a given CSS file. The filename can be absoulte or relative.

Parameters:
  `filename` - Name of the CSS file

## Method Details

### getLink

public String getLink()
Description copied from interface: `CssHandler`
returns a link to the CSS file, which can be used as the HREF in HTML's <LINK REL="stylesheet"invalid input: '&gt' HREF="filename.css";.

Specified by:
  `getLink` in interface `CssHandler`
Returns:
  a link to the CSS file
See Also:
  - `CssHandler.getLink()`

### checkForMissingResources

public void checkForMissingResources() throws ConfigurationException
Checks if the local CSS file exists

Specified by:
  `checkForMissingResources` in interface `CssHandler`
Throws:
  `ConfigurationException` - if the file is not found
See Also:
  - `CssHandler.checkForMissingResources()`

### createOutputFiles

public void createOutputFiles() throws IOException
Copies the local CSS file to the output directory

Specified by:
  `createOutputFiles` in interface `CssHandler`
Throws:
  `IOException` - if an output file can't be created
See Also:
  - `CssHandler.createOutputFiles()`

### toString

public String toString()
toString

Overrides:
  `toString` in class `Object`
Returns:
  string